org.apache.sysds.runtime.compress.lib

## Class BitmapEncoder

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.BitmapEncoder

-     public class BitmapEncoder
      extends Object

  Static functions for encoding bitmaps in various ways.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitmapEncoder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ABitmap` | `extractBitmap(int[] colIndices, int rows, BitSet rawBlock, CompressionSettings compSettings)`
    `static ABitmap` | `extractBitmap(int[] colIndices, MatrixBlock rawBlock, boolean transposed)` Generate uncompressed bitmaps for a set of columns in an uncompressed matrix block.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapEncoder

          public BitmapEncoder()

  - ### Method Detail

    - #### extractBitmap

          public static ABitmap extractBitmap(int[] colIndices,
                                              MatrixBlock rawBlock,
                                              boolean transposed)

      Generate uncompressed bitmaps for a set of columns in an uncompressed matrix block.
      Parameters:
        `colIndices` - Indexes (within the block) of the columns to extract
        `rawBlock` - An uncompressed matrix block; can be dense or sparse
        `transposed` - Boolean specifying if the rawblock was transposed.
      Returns:
        uncompressed bitmap representation of the columns

    - #### extractBitmap

          public static ABitmap extractBitmap(int[] colIndices,
                                              int rows,
                                              BitSet rawBlock,
                                              CompressionSettings compSettings)

Copyright © 2021 The Apache Software Foundation. All rights reserved.